Innhald

# Start av LibreOffice med parametrane

Ved å opna LibreOffice frå kommandolinja, kan bruka ulike parametrar der du kan styra kva programmet skal gjera. Du bør vera ein røynd brukar for å bruka parameter på kommandolinja.

Bruk av kommandolinjeparametrar er normalt ikkje nødvendig. Nokre få av parametrane krev grundig kunnskap til den tekniske bakgrunnen for LibreOffice-teknologien.

## Starta LibreOffice frå kommandolinja

1. Søk etter Køyr i startmenyen i Windows.

2. Skriv inn denne teksten i tekstfeltet Opna og trykk på OK.

3. "{install}\program\soffice.com" {parameter}

   Byt ut {install} med stien til installasjonen av LibreOffice-programvaren (for eksempel C:\Program Files\LibreOffice). Bruk soffice.exe i staden for soffice.com når du ikkje treng konsoll (f.eks. at du ikkje brukar kommandolinjegrensesnitt for hovudlause operasjonar).

1. Opna eit skal under Linux-, *BSD- eller macOS-plattformer.

2. Skriv inn denne tekstlinja og trykk deretter Return:

   {install}/program/soffice {parameter}

   Byt ut {install} med stien til installasjonen av LibreOffice-programvaren (for eksempel /opt/LibreOffice i UNIX)

$[OfficeName] krev skrivetilgang til brukarprofilmappa.

## Gyldige kommandolinjeparametrar

### Bruk utan spesielle argument

Brukt utan argument vil opna startsenteret.

{file} | Prøver å opna fila (filene) i den komponenten som høver best for dei.
{fil} makro://./[Bibliotek.Modul.MakroNamn] | Opnar fila og brukar den spesifiserte makroen frå fila.

### Få hjelp og informasjon

Parameter | Meining
--- | ---
--help / -h / -? | Lister opp dei tilgjengelege kommandolinjeparameterane i konsollen.
--helpwriter | Opnar den innebygde eller nettilgjengelege hjelpa for LibreOffice Writer.
--helpcalc | Opnar den innebygde eller nettilgjengelege hjelpa for LibreOffice Calc.
--helpdraw | Opnar den innebygde eller nettilgjengelege hjelpa for LibreOffice Draw.
--helpimpress | Opnar den innebygde eller nettilgjengelege hjelpa for LibreOffice Impress.
--helpbase | Opnar den innebygde eller nettilgjengelege hjelpa for LibreOffice Base.
--helpbasic | Opnar den innebygde eller nettilgjengelege hjelpa for LibreOffice Basic skriptspråk.
--helpmath | Opnar den innebygde eller nettilgjengelege hjelpa for LibreOffice Math.
--version | Viser LibreOffice-versjonen og avsluttar.
--nstemporarydirectory | (Berre for macOS sandbox) Returnerer stien for den mellombels mappa for den gjeldande brukaren og avsluttar. Overstyrar alle andre argument.

### Generelle argument

Parameter | Meining
--- | ---
--quickstart[=no] | Aktiverer[deaktiverer] tenesta snøggstart. Det tar berre eitt parameter: no som slår av snøggtast. Utan parameter vert snøggstart slått på.
--nolockcheck | Slår av kontrollen for eksterne einingar som brukar installasjonen.
--infilter=InputFilterName [:InputFilterParam[,param]] | Tvingar, om mogleg, ein inngangsfiltertype, for eksempel: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Sjå liste over dokumentfilter for filkonvertering. Lista over filteralternativ for Lotus-, dBase- og Diff-filer. Lista over filteralternativ for CSV-filer. Lista over filteralternativ for PDF-filer.
--pidfile={file} | Lagrar soffice.bin pid i {file}.
--display {display} | Set miljøvariabelen DISPLAY på UNIX-liknande plattformer til verdien {display}. Denne parameteren har støtte berre frå startskriptet for LibreOffice-programmet på UNIX-liknande plattformer.

### Brukar-/program-kontroll av grensesnittet

Parameter | Meining
--- | ---
--nologo | Slår av velkomstbiletet ved programstart.
--minimized | Startar minimert. Velkomstbiletet vert ikkje vist.
--nodefault | Startar utan å visa anna enn velkomstbiletet.
--invisible | Startar i usynleg tilstand. Korkje oppstartsbiletet eller det opphavlege programvindauget vert synleg. LibreOffice kan kontrollerast og dokument og dialogvindauge kan opnast via API. Når LibreOffice er starta med denne parameteren kan det berre avsluttast ved hjelp av oppgåvelista (Windows) eller med kill-kommandoen (UNIX-liknande system). Parameteren kan ikkje brukast saman med --quickstart. Du kan finna meir informasjon i LibreOffice Developer's Guide.
--headless | Startar i «headless mode» som tillet bruk av programmet utan brukargrensesnitt. Denne spesialtilstanden kan brukast når programmet er kontrollert av eksterne klientar via API-et.
--norestore | Slår av omstart og filgjenoppretting etter eit systemkrasj.
--safe-mode | Startar i sikker modus, det vil seia startar mellombels med ein ny brukarprofil og hjelper til med å gjenopprette øydelagde innstillingar.
--accept={UNO} | Fortel LibreOffice at det vert brukt ein «UNO Accept String» når det vert oppretta «UNO Acceptor Threads». UNO-URL orma uno:tilkoplingstype,parameter;protokollnamn,parameter;ObjektNamn. Du kan finna meir informasjon i LibreOffice Developer's Guide.
--unaccept={UNO-URL} | Lukker ein «acceptor» som er laga med «--accept={UNO string}». Bruk «--unaccept=all» for å lukka alle opne «acceptor».
--language={lang} | Brukar det spesifiserte språket dersom språket ikkje er vald for brukargrensesnittet. Språket er ein tagg i IETF-språkmerke.

### Utviklarargument

Parameter | Meining
--- | ---
--terminate_after_init | Avslutt når oppsettet er ferdig. Ingen dokument lasta inn.

Unix- og Linux-brukarar kan bruka LibreOffice med desse tilleggsparameterane for feilsøkingsføremål.

Parameter | Tyding
--- | ---
--record | Eit forbetra feilsøkingsprogram.
--backtrace | Skriv ut tilbakesporinga av heile stabelen.
--strace | strace er eit diagnostisk, feilsøkings- og instruksjonsbrukarområde-verktøy for Linux.
--valgrind | Oppdagar automatisk mange minnehandterings- og trådfeil og gjev ein detaljert profil av programmet.

Feilsøkingsmetodane --record, --backtrace,--strace og --valgrind kan ikkje brukast saman. Bruk eitt av dei om gongen.

### Argument for å laga nye dokument

Argumenta lagar eit romt dokument ut frå den ønskte typen. Berre eit av dei kan brukast på kommandolinja. Dersom det er skrive inn filnamn etter eit argument, prøver det å opna desse filene i den valde komponenten.

Parameter | Meining
--- | ---
--writer | Start med eit tomt Writer-dokument.
--calc | Start med eit tomt Calc-dokument.
--draw | Start med eit tomt Draw-dokument.
--impress | Start med eit tomt Impress-dokument.
--math | Start med eit tomt Math-dokument.
--global | Start med eit tomt Writer-hovuddokument.
--web | Start med eit tomt HTML-dokument.

### Argument for filopning

Argumenta bestemmer korleis dei følgjande filnamna skal handsamast. Ny handsaming byrjar etter argumentet og sluttar ved det nye argumentet. Standard er å opna dokument for redigering og laga nye dokument frå dokumentmalen.

Parameter | Meining
--- | ---
-n | Handsamar dei følgjande filene som malar for nye dokument.
-o | Opnar dei følgjande filene for redigering, uansett om dei er malar eller ikkje.
--pt {Printername} | Skriv ut dei følgjande filene til skrivaren {Skrivarnamn} og avsluttar. Velkomstbiletet vert ikkje vist. Viss filnamnet inneheld mellomrom, må det skrivast mellom hermeteikn. Viss fleire oppføringar, vert berre den siste {Skrivarnamn} brukt for alle dokumenta i alle --pt-køyringar. Også argumentet --printer-name med brytaren --print-to-file verkar på {Printername}.
-p | Skriv ut dei følgjande filene til standardskrivaren og lukker filene. Velkomstskjermen vert ikkje vist. Viss filnamnet inneheld mellomrom, må det skrivast mellom hermeteikn.
--view | Opnar dei følgjande filene som skriveverna.
--show[=N] | Opnar presentasjonen og byrjar straks visinga av presentasjonsdokumenta spesifiserte nedanfor. Filene vert lukka etter visinga. N i eksempelet nedanfor er lysbiletnummeret og viss dette er spesifisert, byrjar visinga med dette lysbiletet.
--convert-to OutputFileExtension [:OutputFilterName [:OutputFilterParams[,param]]] [--outdir output_dir] | Viss --convert-to er brukt fleire gongar, vert den siste verdien av OutputFileExtension[:OutputFilterName[:OutputFilterParams]] brukt. Viss --outdir er brukt fleire gongar vert berre den siste verdien brukt. Viss --outdir manglar, vert den gjeldande mappa brukt for resultatet. For eksempel: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc Sjå liste over dokumentfilter for filkonvertering. Lista over filteralternativ for Lotus-, dBase- og Diff-filer. Lista over filteralternativ for CSV-filer. Lista over filteralternativ for PDF-filer.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Batch skriv filer til fil. Dersom --outdir ikkje er oppgjeve, vert den gjeldande mappa brukt som output_dir. Viss --printer-name eller --outdir er brukt fleire gongar, vert berre den siste verdien brukt. Også brytaren --pt under {Skrivarnamn} verkar også inn på --printer-name. For eksempel: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Brukar filteret "txt: Text" på dei følgjande tekstdokumenta og sender tekstinnhaldet til konsollen (impliserer - headless ). Kan ikkje brukast med - konvertera til .
-env:VAR[=VALUE] | Set ein «bootstrap»-variabel. Eksempel: Å setje ein ikkje-standard sti til brukarprofilen: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ignorerte brytarar

Parameter | Meining
--- | ---
-psn | Ignorert (Berre macOS)
-Embedding | Ignorert (COM+ relatert; Berre Windows)
--nofirststartwizard | Gjer ingenting, sett inn for å vere bakoverkonvertibel.
--protector {arg1} {arg2} | Vert berre brukt i komponenttestar og må ha to argument.